Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.tasklist
Interface ITaskFilter

All Superinterfaces:
  IFilter

public interface ITaskFilter
extends IFilter

Interface for filters used for querying tasks. By default, a task filter will be set to give the largest possible result set. Various setter methods can be used to narrow the kinds of results to return.

Method Summary
`TaskAssignedToFilterType` | `getAssignedToType()` Returns the assigned to filter type.
`int` | `getAssignedUserID()` Returns the assigned-to user ID to filter against.
`TaskCompletionFilterType` | `getCompletionType()` Returns the completion type filter.
`TaskQueryOrder[]` | `getQueryOrders()` Returns the `TaskQueryOrder` by which the results will be ordered.
`void` | `setAssignedToType(TaskAssignedToFilterType assignedToType)` Sets the assigned to type filter.
`void` | `setAssignedUserID(int assignedUserID)` Sets the assigned-to user ID.
`void` | `setCompletionType(TaskCompletionFilterType completionType)` Sets the completion type filter.
`void` | `setQueryOrders(TaskQueryOrder[] queryOrders)` Sets the `TaskQueryOrder` for the rows to return.

Methods inherited from interface com.plumtree.remote.prc.collaboration.query.IFilter
`getMaximumResults, isRestoreSecurity, setMaximumResults, setRestoreSecurity`

Method Detail

### getAssignedToType

    public TaskAssignedToFilterType getAssignedToType()

  Returns the assigned to filter type.

  Returns:
    the assigned to filter type

### getAssignedUserID

    public int getAssignedUserID()

  Returns the assigned-to user ID to filter against.

  Returns:
    the assigned-to user ID to filter against

### getCompletionType

    public TaskCompletionFilterType getCompletionType()

  Returns the completion type filter.

  Returns:
    the completion type

### getQueryOrders

    public TaskQueryOrder[] getQueryOrders()

  Returns the `TaskQueryOrder` by which the results will be ordered.

  Returns:
    `queryField` - a `TaskQueryOrder` array

### setAssignedToType

    public void setAssignedToType(TaskAssignedToFilterType assignedToType)

  Sets the assigned to type filter. Note: This value cannot be set if `setAssignedUserID` was already called.

  Parameters:
    `assignedToType` - the assigned to type filter; cannot be `null`
  Throws:
    `java.lang.IllegalStateException` - if the `setAssignedUserID` method was called

### setAssignedUserID

    public void setAssignedUserID(int assignedUserID)

  Sets the assigned-to user ID. This value cannot be set if `setAssignedToType` was already called.

  Parameters:
    `assignedUserID` - the assigned-to user ID; must be positive
  Throws:
    `java.lang.IllegalStateException` - if the `setAssignedToType` method was called

### setCompletionType

    public void setCompletionType(TaskCompletionFilterType completionType)

  Sets the completion type filter.

  Parameters:
    `completionType` - the completion type; cannot be `null`

### setQueryOrders

    public void setQueryOrders(TaskQueryOrder[] queryOrders)

  Sets the `TaskQueryOrder` for the rows to return. The rows will be returned in the order of the `TaskQueryOrder` array.

  Parameters:
    `queryOrders` - a `TaskQueryOrder` array; cannot be `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.